### Enumeration

# Gtk DialogFlags

#### Declaration

    flags Gtk.DialogFlags

#### Description [src]

Flags used to influence dialog construction.

#### Members

Name | Description
--- | ---
`GTK_DIALOG_MODAL` | Make the constructed dialog modal.
`GTK_DIALOG_DESTROY_WITH_PARENT` | Destroy the dialog when its parent is destroyed.
`GTK_DIALOG_USE_HEADER_BAR` | Create dialog with actions in header bar instead of action area.